## cantor 16.12.1

=== CMakeLists.txt ===
project(cantor)

cmake_minimum_required (VERSION 2.8.12 FATAL_ERROR)

add_definitions(-DMAKE_CANTORLIBS_LIB)

# KDE Application Version, managed by release script
set (KDE_APPLICATIONS_VERSION_MAJOR "16")
set (KDE_APPLICATIONS_VERSION_MINOR "12")
set (KDE_APPLICATIONS_VERSION_MICRO "1")
set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")


find_package(ECM 5.15.0 REQUIRED CONFIG)
set(CMAKE_MODULE_PATH ${cantor_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

find_package(Qt5 CONFIG REQUIRED
    Core
    Widgets
    PrintSupport
    Svg
    Xml
    XmlPatterns
    Test)

find_package(KF5 5.15 REQUIRED
    Config
    Crash
    Completion
    DocTools
    NewStuff
    IconThemes
    TextEditor
    CoreAddons
    Archive
    Parts
    Pty
    TextWidgets
    KIO
    XmlGui
    I18n)

include(FeatureSummary)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings)
include(ECMAddAppIcon)

if(NOT WIN32)
    set_package_properties(LibSpectre PROPERTIES DESCRIPTION "A PostScript rendering library"
        URL "http://libspectre.freedesktop.org/wiki/"
        TYPE OPTIONAL
        PURPOSE "Support for rendering EPS files in Cantor")

    find_package(LibSpectre)
    if(LibSpectre_FOUND)
        set(WITH_EPS On)
    else(LibSpectre_FOUND)
        set(WITH_EPS Off)
    endif(LibSpectre_FOUND)

else(NOT WIN32)
    set(WITH_EPS Off)
endif(NOT WIN32)

add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
kde_enable_exceptions()

add_subdirectory(doc)
add_subdirectory(src)
add_subdirectory(icons)

install(FILES org.kde.cantor.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})


feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
cantor (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ Maximiliano Curia ]
  * Update install files

  [ Clive Johnston ]
  * Adding julia as build dep
  * Installing julia icon via new package
  * Updating lintian-overrides

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * Update build deps to use new KF5 style names
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:19:12 +0000

cantor (4:16.04.3-0ubuntu2) UNRELEASED; urgency=medium

  * Update Vcs-Git fields to use https:// instead of git://

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 29 Oct 2016 17:16:57 +0200

=== debian/control ===
Source: cantor
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.28.0~),
               julia,
               libanalitza-dev (>= 4:16.12.1~),
               libglib2.0-dev,
               libkf5archive-dev (>= 5.28.0~),
               libkf5completion-dev (>= 5.28.0~),
               libkf5config-dev (>= 5.28.0~),
               libkf5coreaddons-dev (>= 5.28.0~),
               libkf5crash-dev (>= 5.28.0~),
               libkf5doctools-dev (>= 5.28.0~),
               libkf5i18n-dev (>= 5.28.0~),
               libkf5iconthemes-dev (>= 5.28.0~),
               libkf5kdelibs4support-dev (>= 5.28.0~),
               libkf5kio-dev (>= 5.28.0~),
               libkf5newstuff-dev (>= 5.28.0~),
               libkf5parts-dev (>= 5.28.0~),
               libkf5pty-dev (>= 5.28.0~),
               libkf5texteditor-dev (>= 5.28.0~),
               libkf5textwidgets-dev (>= 5.28.0~),
               libkf5unitconversion-dev (>= 5.28.0~),
               libkf5widgetsaddons-dev (>= 5.28.0~),
               libkf5windowsystem-dev (>= 5.28.0~),
               libkf5xmlgui-dev (>= 5.28.0~),
               libluajit-5.1-dev [i386 amd64],
               libqalculate-dev,
               libqt5svg5-dev (>= 5.6.1~),
               libqt5xmlpatterns5-dev (>= 5.6.1~),
               libspectre-dev,
               pkg-config,
               pkg-kde-tools (>> 0.15.15),
               python-dev (>= 2.7~),
               python3-dev,
               qtbase5-dev (>= 5.6.1~),
               r-base-core
Standards-Version: 3.9.8
Homepage: http://edu.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/cantor
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/cantor

Package: cantor
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: cantor-backend-qalculate, texlive-binaries, texlive-latex-base
Suggests: cantor-backend-kalgebra,
          cantor-backend-lua [i386 amd64],
          cantor-backend-maxima,
          cantor-backend-octave,
          cantor-backend-python2,
          cantor-backend-python3,
          cantor-backend-r,
          cantor-backend-sage
Description: interface for mathematical applications
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 Cantor supports various mathematical applications as backends (provided in
 external packages):
  * Maxima Computer Algebra System (cantor-backend-maxima)
  * R Project for Statistical Computing (cantor-backend-r)
  * Sage Mathematics Software (cantor-backend-sage)
  * Octave (cantor-backend-octave)
  * Python (cantor-backend-python2 and cantor-backend-python3)
  * Scilab (cantor-backend-scilab)
  * Qalculate! (cantor-backend-qalculate)
  * Lua (cantor-backend-lua)
 .
 This package is part of the KDE education module.

Package: cantor-dev
Architecture: any
Section: libdevel
Depends: cantor (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: interface for mathematical applications - development files
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 Cantor supports various mathematical applications as backends (provided in
 external packages):
  * Maxima Computer Algebra System (cantor-backend-maxima)
  * R Project for Statistical Computing (cantor-backend-r)
  * Sage Mathematics Software (cantor-backend-sage)
  * Octave (cantor-backend-octave)
  * Python (cantor-backend-python2 and cantor-backend-python3)
  * Scilab (cantor-backend-scilab)
  * Qalculate! (cantor-backend-qalculate)
  * Lua (cantor-backend-lua)
 .
 This package is part of the KDE education module.
 .
 This package contains development files for cantor.

Package: cantor-backend-kalgebra
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KAlgebra backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using KAlgebra
 (http://edu.kde.org/kalgebra) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-julia
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Julia backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using Julia
 (http://julialang.org) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-maxima
Architecture: amd64 arm64 armhf i386 powerpc ppc64el
Section: math
Depends: maxima, ${misc:Depends}, ${shlibs:Depends}
Description: Maxima backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Maxima Computer Algebra System
 (http://maxima.sourceforge.net) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-octave
Architecture: any
Section: math
Depends: ghostscript, octave, ${misc:Depends}, ${shlibs:Depends}
Description: Octave backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the GNU Octave language for
 numerical computations (http://www.octave.org/) in Cantor.
 .
 This package is part of the KDE education module.

Package: libcantor-pythonbackend
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: cantor-backend-python2 (<< 4:15.08)
Replaces: cantor-backend-python2 (<< 4:15.08)
Description: Base Python backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Python language
 (http://www.python.org/) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-python2
Architecture: any
Section: math
Depends: libcantor-pythonbackend (= ${binary:Version}),
         python,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Python2 backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Python2 language
 (http://www.python.org/) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-python3
Architecture: any
Section: math
Depends: libcantor-pythonbackend (= ${binary:Version}),
         python3,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Python3 backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Python3 language
 (http://www.python.org/) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-qalculate
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qalculate! backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Qalculate! calculator
 (http://qalculate.sourceforge.net/) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-r
Architecture: any
Section: math
Depends: r-base-core, ${misc:Depends}, ${shlibs:Depends}
Suggests: r-base-html
Description: R backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the R Project for Statistical
 Computing (http://www.r-project.org) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-sage
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: sagemath
Description: Sage backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Sage Mathematics Software
 (http://www.sagemath.org) in Cantor.
 .
 Please note that sagemath is not available in Debian, so you need to manually
 install it for this package to work.
 .
 This package is part of the KDE education module.

Package: cantor-backend-lua
Architecture: amd64 i386
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: cantor (<< 4:15.08.0+git20150909)
Replaces: cantor (<< 4:15.08.0+git20150909)
Description: Lua backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Lua language
 (http://www.lua.org) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-python
Architecture: all
Priority: extra
Section: oldlibs
Depends: cantor-backend-python2, ${misc:Depends}
Description: Python backend for Cantor -- transitional package
 Transitional package for cantor-backend-python2
 .
 This package can be safely removed after installation

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
libpkgs_gen_strict_local_shlibs = cantor
include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

override_dh_install:
	$(overridden_command)
	--destdir=debian/tmp \
	# The luajit is available only in amd64 and i386 for now
	if [ -f debian/tmp/etc/xdg/cantor_lua.knsrc ]; then \
	    mkdir -p debian/cantor/etc/xdg; \
	    cp debian/tmp/etc/xdg/cantor_lua.knsrc debian/cantor/etc/xdg; \
	fi 

override_dh_makeshlibs:
	$(overridden_command) -V

override_dh_strip:
	$(overridden_command) --dbgsym-migration='cantor-dbg (<= 4:15.12.1-1~~)'

## cantor 16.12.3

=== debian/changelog ===
cantor (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)
  * Drop upstream-fix-build.patch, applied upstream.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:30:18 +0000

cantor (4:16.12.1-0ubuntu5) zesty; urgency=medium

  * Add upstream-fix-build.patch. Can be dropped in 16.12.3

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 16 Feb 2017 19:50:20 +0000

cantor (4:16.12.1-0ubuntu4) zesty; urgency=medium

  * python backend autopkgtest: Add additional required dependencies.
  * octave backend autopkgtest: Disable a long time failing element of
    the test - KDE-Bug: 316186.

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 06 Feb 2017 15:12:27 +0000

cantor (4:16.12.1-0ubuntu3) zesty; urgency=medium

  * Remove cantor_lua.knsrc from install files. This is already
    installed by debian rules if built.

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 04 Feb 2017 23:30:08 +0000

cantor (4:16.12.1-0ubuntu2) zesty; urgency=medium

  * Drop build depend on julia and new backend package for now.
    Current ubuntu version of julia is missing the headers required
    to build the backend for cantor, and is not available on powerpc
    & s390x architectures.

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 04 Feb 2017 17:56:08 +0000

=== debian/control ===
--- 
+++ 
@@ -5,29 +5,28 @@
 Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.28.0~),
-               julia,
-               libanalitza-dev (>= 4:16.12.1~),
+               extra-cmake-modules (>= 5.31.0~),
+               libanalitza-dev (>= 4:16.12.3~),
                libglib2.0-dev,
-               libkf5archive-dev (>= 5.28.0~),
-               libkf5completion-dev (>= 5.28.0~),
-               libkf5config-dev (>= 5.28.0~),
-               libkf5coreaddons-dev (>= 5.28.0~),
-               libkf5crash-dev (>= 5.28.0~),
-               libkf5doctools-dev (>= 5.28.0~),
-               libkf5i18n-dev (>= 5.28.0~),
-               libkf5iconthemes-dev (>= 5.28.0~),
-               libkf5kdelibs4support-dev (>= 5.28.0~),
-               libkf5kio-dev (>= 5.28.0~),
-               libkf5newstuff-dev (>= 5.28.0~),
-               libkf5parts-dev (>= 5.28.0~),
-               libkf5pty-dev (>= 5.28.0~),
-               libkf5texteditor-dev (>= 5.28.0~),
-               libkf5textwidgets-dev (>= 5.28.0~),
-               libkf5unitconversion-dev (>= 5.28.0~),
-               libkf5widgetsaddons-dev (>= 5.28.0~),
-               libkf5windowsystem-dev (>= 5.28.0~),
-               libkf5xmlgui-dev (>= 5.28.0~),
+               libkf5archive-dev (>= 5.31.0~),
+               libkf5completion-dev (>= 5.31.0~),
+               libkf5config-dev (>= 5.31.0~),
+               libkf5coreaddons-dev (>= 5.31.0~),
+               libkf5crash-dev (>= 5.31.0~),
+               libkf5doctools-dev (>= 5.31.0~),
+               libkf5i18n-dev (>= 5.31.0~),
+               libkf5iconthemes-dev (>= 5.31.0~),
+               libkf5kdelibs4support-dev (>= 5.31.0~),
+               libkf5kio-dev (>= 5.31.0~),
+               libkf5newstuff-dev (>= 5.31.0~),
+               libkf5parts-dev (>= 5.31.0~),
+               libkf5pty-dev (>= 5.31.0~),
+               libkf5texteditor-dev (>= 5.31.0~),
+               libkf5textwidgets-dev (>= 5.31.0~),
+               libkf5unitconversion-dev (>= 5.31.0~),
+               libkf5widgetsaddons-dev (>= 5.31.0~),
+               libkf5windowsystem-dev (>= 5.31.0~),
+               libkf5xmlgui-dev (>= 5.31.0~),
                libluajit-5.1-dev [i386 amd64],
                libqalculate-dev,
                libqt5svg5-dev (>= 5.6.1~),
@@ -116,21 +115,6 @@
  .
  This package is part of the KDE education module.
 
-Package: cantor-backend-julia
-Architecture: any
-Section: math
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: Julia backend for Cantor
- Cantor is an application to allow you to you use your favorite mathematical
- applications from within an elegant worksheet interface. It provides dialogs
- to assist with common tasks and allows you to share your worksheets
- with others.
- .
- This package provides the backend for using Julia
- (http://julialang.org) in Cantor.
- .
- This package is part of the KDE education module.
-
 Package: cantor-backend-maxima
 Architecture: amd64 arm64 armhf i386 powerpc ppc64el
 Section: math

## cantor 17.04.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,9 +5,9 @@
 add_definitions(-DMAKE_CANTORLIBS_LIB)
 
 # KDE Application Version, managed by release script
-set (KDE_APPLICATIONS_VERSION_MAJOR "16")
-set (KDE_APPLICATIONS_VERSION_MINOR "12")
-set (KDE_APPLICATIONS_VERSION_MICRO "1")
+set (KDE_APPLICATIONS_VERSION_MAJOR "17")
+set (KDE_APPLICATIONS_VERSION_MINOR "04")
+set (KDE_APPLICATIONS_VERSION_MICRO "3")
 set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
 
 
@@ -77,3 +77,7 @@
 
 
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
+ki18n_install(po)
+if (KF5DocTools_FOUND)
+ kdoctools_install(po)
+endif()

=== debian/changelog ===
cantor (4:17.04.3-0ubuntu2) artful; urgency=medium

  * Disable the build and tests for the maxima backend. This is
    currently broken with the version of maxima available. The package
    is left in place with a note explaining the breakage and reason, to
    ease restoration once an upstream fix is available. (KDE Bug: 379404)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 25 Sep 2017 16:55:02 +0100

cantor (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * Install translations and add Breaks/Replaces against kde-l10n
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:34:42 +0100

cantor (4:16.12.1-0ubuntu6) UNRELEASED; urgency=medium

  * Drop upstream-fix-build.patch as it is applied upstream

 -- Clive Johnston <clivejo@kubuntu.org>  Thu, 16 Feb 2017 20:16:36 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
-               libanalitza-dev (>= 4:16.12.3~),
+               libanalitza-dev (>= 4:17.04.3~),
                libglib2.0-dev,
                libkf5archive-dev (>= 5.31.0~),
                libkf5completion-dev (>= 5.31.0~),
@@ -56,6 +56,8 @@
           cantor-backend-python3,
           cantor-backend-r,
           cantor-backend-sage
+Breaks: ${kde-l10n:all}
+Replaces: ${kde-l10n:all}
 Description: interface for mathematical applications
  Cantor is an application to allow you to you use your favorite mathematical
  applications from within an elegant worksheet interface. It provides dialogs
@@ -115,6 +117,21 @@
  .
  This package is part of the KDE education module.
 
+Package: cantor-backend-julia
+Architecture: any
+Section: math
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Julia backend for Cantor
+ Cantor is an application to allow you to you use your favorite mathematical
+ applications from within an elegant worksheet interface. It provides dialogs
+ to assist with common tasks and allows you to share your worksheets
+ with others.
+ .
+ This package provides the backend for using Julia
+ (http://julialang.org) in Cantor.
+ .
+ This package is part of the KDE education module.
+
 Package: cantor-backend-maxima
 Architecture: amd64 arm64 armhf i386 powerpc ppc64el
 Section: math
@@ -127,6 +144,11 @@
  .
  This package provides the backend for using the Maxima Computer Algebra System
  (http://maxima.sourceforge.net) in Cantor.
+ .
+ NOTE: currently this package only contains the maxima icon as the backend itself
+ is broken with the current version of maxima. The backend will be restored once
+ an upstream fix is available.
+ See KDE BUG: https://bugs.kde.org/show_bug.cgi?id=379404
  .
  This package is part of the KDE education module.

## cantor 17.08.3

=== src/assistants/solve/CMakeLists.txt ===
set( SolveAssistant_SRCS
     solveassistant.cpp
)

ki18n_wrap_ui(SolveAssistant_SRCS solvedlg.ui)

add_assistant(solveassistant ${SolveAssistant_SRCS})

install( FILES cantor_solve_assistant.rc  DESTINATION  ${KDE_INSTALL_DATADIR}/cantor )

=== src/assistants/linearalgebra/creatematrix/CMakeLists.txt ===
set( CreateMatrixAssistant_SRCS
     creatematrixassistant.cpp
     creatematrixdlg.cpp
)

ki18n_wrap_ui(CreateMatrixAssistant_SRCS creatematrixdlg.ui)

add_assistant(creatematrixassistant ${CreateMatrixAssistant_SRCS})

install( FILES cantor_create_matrix_assistant.rc  DESTINATION  ${KDE_INSTALL_DATADIR}/cantor )

=== src/backends/R/rserver/CMakeLists.txt ===
include_directories(${R_INCLUDE_DIR})

set( RServer_SRCS
   rserver.cpp
   rcallbacks.cpp
   main.cpp
)

kconfig_add_kcfg_files(RServer_SRCS settings.kcfgc)
install(FILES rserver.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

QT5_ADD_DBUS_ADAPTOR(RServer_SRCS org.kde.Cantor.R.xml
                     rserver.h RServer)


add_custom_target(renvvars COMMAND ${R_EXECUTABLE} --slave --file=${CMAKE_CURRENT_SOURCE_DIR}/tools/envvars.r > ${CMAKE_CURRENT_BINARY_DIR}/renvvars.h )
add_custom_target(rautoloads COMMAND ${R_EXECUTABLE} --slave --file=${CMAKE_CURRENT_SOURCE_DIR}/tools/autoloads.r > ${CMAKE_CURRENT_BINARY_DIR}/rautoloads.h )

add_executable( cantor_rserver ${RServer_SRCS} )
set_target_properties( cantor_rserver PROPERTIES INSTALL_RPATH_USE_LINK_PATH false)
target_link_libraries( cantor_rserver cantorlibs ${R_LIBRARIES} KF5::KIOCore)
add_dependencies(cantor_rserver renvvars rautoloads)

install(TARGETS cantor_rserver ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )

=== debian/changelog ===
cantor (4:17.08.3-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * New upstream release.
  * Adjust l10npkgs_firstversion_ok to the version where kde-l10n will
    drop translations.
  * Bump Standards-Version to 4.1.1, no changes required.
  * Simplify watch file, and switch it to https.
  * Fix typo in an old changelog entry.
  * Remove debian/not-installed, as it is no more useful now.
  * Drop the cantor-dev package, since cantor does not provide stable API/ABI
    for its libraries, and the current packaging does not support well
    dependencies.
  * Move backend-specific files to their own packages
    - add proper breaks/replaces
  * Drop the julia build dependency, since at the moment the julia backend
    is not packaged.
  * Drop the unused libkf5kdelibs4support-dev build dependency.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sat, 02 Dec 2017 10:58:04 +0100

cantor (4:17.08.0-1) experimental; urgency=medium

  * New upstream release (17.08.0)
  * Re-enable cantor-backend-scilab
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Bump kde-l10n breaks/replaces versions
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 18 Sep 2017 15:06:13 +0200

cantor (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:31:06 +0000

cantor (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:18:24 +0000

cantor (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:19:53 +0000

cantor (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:11:13 +0000

cantor (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:02:25 +0000

cantor (4:16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:46:25 +0000

cantor (4:16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 16:55:28 +0000

cantor (4:16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:13:44 +0000

cantor (4:16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:23:11 +0000

cantor (4:16.08.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Nov 2016 13:52:12 +0000

cantor (4:16.08.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2016 13:38:12 +0000

cantor (4:16.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 16 Sep 2016 13:04:54 +0000

cantor (4:16.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 17 Aug 2016 11:47:09 +0000

cantor (4:16.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Jul 2016 11:39:45 +0000

cantor (4:16.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 16 Jun 2016 11:09:05 +0000

=== debian/control ===
Source: cantor
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.15.0~),
               libanalitza-dev (>> 4:15.08),
               libglib2.0-dev,
               libkf5archive-dev (>= 5.15~),
               libkf5completion-dev (>= 5.15~),
               libkf5config-dev (>= 5.15~),
               libkf5coreaddons-dev (>= 5.15~),
               libkf5crash-dev (>= 5.15~),
               libkf5doctools-dev (>= 5.15~),
               libkf5i18n-dev (>= 5.15~),
               libkf5iconthemes-dev (>= 5.15~),
               libkf5kio-dev (>= 5.15~),
               libkf5newstuff-dev (>= 5.15~),
               libkf5parts-dev (>= 5.15~),
               libkf5pty-dev (>= 5.15~),
               libkf5texteditor-dev (>= 5.15~),
               libkf5textwidgets-dev (>= 5.15~),
               libkf5xmlgui-dev (>= 5.15~),
               liblapack3,
               libluajit-5.1-dev [i386 amd64],
               libqalculate-dev,
               libqt5svg5-dev (>= 5.4),
               libqt5xmlpatterns5-dev (>= 5.4),
               libspectre-dev,
               pkg-config,
               pkg-kde-tools (>> 0.15.15),
               python-dev (>= 2.7~),
               python3-dev,
               qtbase5-dev (>= 5.4),
               r-base-core,
Standards-Version: 4.1.1
Homepage: http://edu.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/cantor.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/cantor.git

Package: cantor
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: cantor-backend-qalculate, texlive-binaries, texlive-latex-base
Suggests: cantor-backend-kalgebra,
          cantor-backend-lua [i386 amd64],
          cantor-backend-maxima,
          cantor-backend-octave,
          cantor-backend-python2,
          cantor-backend-python3,
          cantor-backend-r,
          cantor-backend-sage,
          cantor-backend-scilab [amd64 arm64 armel armhf i386 mips mipsel powerpc ppc64el s390x],
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: interface for mathematical applications
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 Cantor supports various mathematical applications as backends (provided in
 external packages):
  * Maxima Computer Algebra System (cantor-backend-maxima)
  * R Project for Statistical Computing (cantor-backend-r)
  * Sage Mathematics Software (cantor-backend-sage)
  * Octave (cantor-backend-octave)
  * Python (cantor-backend-python2 and cantor-backend-python3)
  * Scilab (cantor-backend-scilab)
  * Qalculate! (cantor-backend-qalculate)
  * Lua (cantor-backend-lua)
 .
 This package is part of the KDE education module.

Package: cantor-backend-kalgebra
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KAlgebra backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using KAlgebra
 (http://edu.kde.org/kalgebra) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-lua
Architecture: amd64 i386
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: cantor (<< 4:17.08.3~)
Replaces: cantor (<< 4:17.08.3~)
Description: Lua backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Lua language
 (http://www.lua.org) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-maxima
Architecture: any
Section: math
Depends: maxima, ${misc:Depends}, ${shlibs:Depends}
Description: Maxima backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Maxima Computer Algebra System
 (http://maxima.sourceforge.net) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-octave
Architecture: any
Section: math
Depends: octave, ${misc:Depends}, ${shlibs:Depends}
Breaks: cantor (<< 4:17.08.3~)
Replaces: cantor (<< 4:17.08.3~)
Description: Octave backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the GNU Octave language for
 numerical computations (http://www.octave.org/) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-python
Architecture: all
Priority: optional
Section: oldlibs
Depends: cantor-backend-python2
Description: Python backend for Cantor -- transitional package
 Transitional package for cantor-backend-python2
 .
 This package can be safely removed after installation

Package: cantor-backend-python2
Architecture: any
Section: math
Depends: libcantor-pythonbackend (= ${binary:Version}),
         python,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Python2 backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Python2 language
 (http://www.python.org/) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-python3
Architecture: any
Section: math
Depends: libcantor-pythonbackend (= ${binary:Version}),
         python3,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Python3 backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Python3 language
 (http://www.python.org/) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-qalculate
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: cantor (<< 4:17.08.3~)
Replaces: cantor (<< 4:17.08.3~)
Description: Qalculate! backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Qalculate! calculator
 (http://qalculate.sourceforge.net/) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-r
Architecture: any
Section: math
Depends: r-base-core, ${misc:Depends}, ${shlibs:Depends}
Suggests: r-base-html
Description: R backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the R Project for Statistical
 Computing (http://www.r-project.org) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-sage
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: sagemath
Description: Sage backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Sage Mathematics Software
 (http://www.sagemath.org) in Cantor.
 .
 Please note that sagemath is not available in Debian, so you need to manually
 install it for this package to work.
 .
 This package is part of the KDE education module.

Package: cantor-backend-scilab
Architecture: amd64 arm64 armel armhf i386 mips mipsel powerpc ppc64el s390x
Section: math
Depends: scilab-cli, ${misc:Depends}, ${shlibs:Depends}
Breaks: cantor (<< 4:17.08.3~)
Replaces: cantor (<< 4:17.08.3~)
Description: Scilab backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Scilab scientific software
 package for numerical computations (http://www.scilab.org) in Cantor.
 .
 This package is part of the KDE education module.

Package: libcantor-pythonbackend
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: cantor-backend-python2 (<< 4:15.08)
Replaces: cantor-backend-python2 (<< 4:15.08)
Description: Base Python backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Python language
 (http://www.python.org/) in Cantor.
 .
 This package is part of the KDE education module.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-6~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
libpkgs_gen_strict_local_shlibs = cantor
include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

override_dh_auto_install:
	$(overridden_command)
	# do not ship the development stuff for now
	rm -rf debian/tmp/usr/include/cantor/
	find debian/tmp -name '*.so' -type l -delete

override_dh_makeshlibs:
	$(overridden_command) -V

override_dh_strip:
	$(overridden_command) --dbgsym-migration='cantor-dbg (<= 4:15.12.1-1~~)'

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus,
         gnuplot, python-numpy, libgl1-mesa-dri
Restrictions: build-needed
